package role

/*
type DeleteURI struct {
	RoleId int32 `uri:"role_id" binding:"gt=0"`
}

// 角色删除接口

func Delete(c *gin.Context) {
	reply := httpreply.NewDefaultReplyData()
	defer httpreply.Reply(c, reply)

	var param DeleteURI
	if err := c.ShouldBindUri(&param); err != nil {
		reply.Status = http.StatusBadRequest
		reply.Message = fmt.Sprintf("invalid uri,err:%v", err)
		return
	}

	if err := dao.Character_Delete(param.RoleId); err != nil {
		reply.Status = http.StatusInternalServerError
		reply.Message = "角色删除失败"
		return
	}
}

*/
